# FindStuff Mod for Cities: Skylines 2

## Overview
**FindStuff** elevates your Cities: Skylines 2 experience by introducing an advanced mod that streamlines the search and management of game objects. As we continue to refine its features and interface in its alpha phase, FindStuff aims to seamlessly integrate with your gameplay, offering powerful functionalities designed for efficiency and convenience.

![Find Stuff Preview](https://i.ibb.co/pwptQW8/preview.png "FindStuff Preview")

## Features

### Enhanced GameObject Finder and UI Interactivity
- **Unified Interface**: A singular window for easy access to game objects, coupled with an integrated Picker tool for precise selection.
- **Menu Behavior Configuration**: Customize how FindStuff interacts with the game's vanilla menus. Options include:
  - Hide FindStuff when a vanilla menu is opened.
  - Move FindStuff to the top of the screen, displaying a compact version, when vanilla menus are active.
  - Override and hide the vanilla asset window, replacing it with FindStuff for a unified experience.
- **Prefab Selection Memory**: In override mode, if a prefab is selected outside FindStuff when closed, reopening FindStuff will have that prefab pre-selected.
- **Dynamic UI Resizing**: Adjust the FindStuff menu size for an expanded or compact view, enhancing visibility and access to a wider range of assets.

### Advanced Search and Filtering Capabilities
- **Comprehensive Search Options**: Perform full-text searches on asset names, translated names, tags, and categories for precise findings.
- **Enhanced Filtering**: Utilize category and sub-category filters through intuitive icon buttons to streamline your search process.
- **Sorting Functionality**: Order assets by name in ascending or descending format for easier navigation and selection.

### Integrated "Plop the Growables" or PloppableRICO supprt
- **Placing residentials, industrials, commercials and offices directly**
- **Adds the ability to set the buildings "Historical" - means they do not level up/down**
- **Compatibility support for LandValueOverhaul**

### Shortcuts and Language Support
- Leverage shortcuts like CTRL + F for quick searching and CTRL + Click for direct Picker tool access, with customizable options in settings.
- Full language support for all default Cities Skylines 2 locales, ensuring accessibility for a global player base.

### Performance, Optimization, and Configuration
- Experience optimized performance for handling extensive game objects lists, with features to identify potentially harmful objects.
- Enjoy an extended UI developed with the Gooee framework, with configurations remembered and restored on each game load for a seamless experience.

## Installation
Ensure BepInEx5 and Gooee is installed for Cities Skylines 2. Download FindStuff and Gooee from the official GitHub repository or Thunderstore.io.

## Usage
Activate FindStuff via the magnifying glass icon or through the HookUI/Gooee mod backpack icon in the upper left corner of the game, the picker tool is accessed through the eye drop icon.

### Important Notes
- **Experimental Phase**: FindStuff is currently in development, focusing on expanding and refining its features. Not all assets/prefabs may be visible, and while custom modded assets are likely to appear if vanilla methods are used, this is not guaranteed.
- Ensure downloads are from Thunderstore.io or the official GitHub page for authenticity.
- This mod is a collaborative effort within the Cities 2 Modding community.

## Development Team and Credits
- Development led by [optimus-code](https://github.com/optimus-code) and [89pleasure](https://github.com/89pleasure).
- Special thanks to Rebecca, CaptainOfCoit, the Cities 2 Modding Community, Colossal Order, and Paradox Interactive.

**NOTE**: We are not officially affiliated with Colossal Order or Paradox Interactive, this is a fan-made project.

**Utilizes [Gooee](https://github.com/Cities2Modding/Gooee), a dedicated UI framework for Cities: Skylines 2 mods.**

## Feedback and Support
We value your input and encourage feedback to continually improve FindStuff. For issues, suggestions, or to connect with the team, join our Discord at [https://discord.gg/M9rgRtGcRa](https://discord.gg/M9rgRtGcRa).

Thank you for choosing FindStuff for an enhanced Cities Skylines gameplay experience.
